Skip to main content
POST
Manually attest a wallet's balances

Path Parameters

id
string
required

Wallet ID

Example:

"1"

Query Parameters

orgId
string
required

Organization ID. Use GET /v1/companies to discover available org/company pairs.

Example:

"1"

companyId
string
required

Company ID. Use GET /v1/companies to discover available companies and their access levels.

Example:

"1"

Body

application/json
note
string
required

What was checked and against what (e.g. "Kraken statement 2026-12-31, balances match"). Required.

Required string length: 1 - 1000
asOfDate
string

The calendar day (yyyy-MM-dd, UTC) the balance proof refers to, for period-close attestations. The ledger balances as of the end of that day are stored with the record. Omit for "as of now".

Pattern: ^\d{4}-\d{2}-\d{2}$
Example:

"2026-12-31"

Response

Attestation recorded

success
enum<boolean>
required
Available options:
true
data
object
required
Last modified on November 13, 2026